# Generated by Django 3.2.19 on 2024-02-15 12:55

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cluster',
            fields=[
                ('id', models.CharField(default=uuid.uuid4, editable=False, help_text='The id of the Cluster', max_length=42, primary_key=True, serialize=False, unique=True)),
                ('status', models.CharField(help_text='The status of the deployment of the Cluster', max_length=42)),
            ],
        ),
        migrations.CreateModel(
            name='ClusterResources',
            fields=[
                ('id', models.CharField(default=uuid.uuid4, editable=False, help_text='The id of the Cluster', max_length=42, primary_key=True, serialize=False, unique=True)),
                ('cluster_name', models.CharField(help_text='The name of the Cluster that will be deployed', max_length=42)),
                ('config_file', models.FileField(help_text='The Kubernetes configuration file that will be stored', upload_to='uploads/')),
                ('cpus', models.IntegerField(blank=True, help_text='The number of vCPUs of the CLuster', null=True)),
                ('memory', models.IntegerField(blank=True, help_text='The RAM of the Cluster in GB', null=True)),
                ('storage', models.IntegerField(blank=True, help_text='The disk storage of the Cluster in GB', null=True)),
                ('endpoint', models.URLField(blank=True, help_text='The endpoint of the Kubernetes Cluster')),
            ],
        ),
        migrations.RemoveField(
            model_name='handler',
            name='link_id',
        ),
        migrations.AddField(
            model_name='handler',
            name='link_cid',
            field=models.CharField(default=' ', help_text='The CID of the Cluster config stored in IPFS', max_length=46),
        ),
        migrations.AlterField(
            model_name='handler',
            name='id',
            field=models.CharField(default=uuid.uuid4, editable=False, help_text='The id of the IPFS Handler', max_length=42, primary_key=True, serialize=False, unique=True),
        ),
        migrations.AlterField(
            model_name='handler',
            name='ipfs_link',
            field=models.CharField(default=' ', help_text='The link to retrieve the Cluster config', max_length=255),
        ),
        migrations.DeleteModel(
            name='ClusterResourses',
        ),
        migrations.AddField(
            model_name='cluster',
            name='cluster_resources_id',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='cluster', to='app.clusterresources'),
        ),
        migrations.AddField(
            model_name='handler',
            name='cluster_id',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='handler', to='app.cluster'),
        ),
    ]
